Bug 1031487 - Allow configuration of custom logging filters
Allow configuration of custom logging filters
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Perkins
Nikoleta Ziakova
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 00:36 EST by James Livingston
Modified: 2016-02-21 19:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-16 12:40:24 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Livingston 2013-11-18 00:36:34 EST
jboss-logmanager uses java.util.logging.Filter instances to implement the filters specified by <filter-spec>. It would be good if users could specify their own Filter implementations.

For example:
  <filter>
    <custom class="com.example.MyFilter" module="com.example"/>
  </filter>
Comment 2 James Perkins 2014-09-16 12:40:24 EDT
This won't go into EAP 6. If the feature is still desired please file for EAP 7.

Note You need to log in before you can comment on or make changes to this bug.